package com.sound.prankparty.Room;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;

import java.util.List;

@Dao
public interface SaveSoundsDao {
    @Insert
    void insertSound(SaveSounds sound);

    @Query("SELECT COUNT(*) FROM save_sounds WHERE path = :uri")
    int countSoundsByUri(String uri);

    @Query("SELECT * FROM save_sounds")
    List<SaveSounds> getAllSounds();

    @Delete
    void deleteSound(SaveSounds sound);

}

